pointers, solutions and scripts for the SQL DBA
not intended to replace msdn, common sense or oxford commas

Friday, October 16, 2009

2008 install problem with Framework 3.5

Problem installing SQL 2008 on a new virtual server. Gave an error almost immediately after running setup.exe, didn't even get to the links screen.

"Microsoft .NET Framework 3.5 installation has failed.

SQL Server 2008 Setup requires .NET Framework 3.5 to be installed."

The solution I found deep in a thread in MSDN. The point of this blog is to make things like this easier to find on the web, so here goes.

  1. Copy your media to a folder on the server. You need to update a file in there.
  2. Download a fresh copy of dotNetFx35setup.exe from Microsoft
  3. Copy the new file and overwrite the old in this location in the media: ..\x64\redist\DotNetFrameworks\

No comments: